// vim: et:ts=4:sw=4:sts=4:ft=js
/*@
Ox.Window <f:Ox.Element> Window object
    () ->              <f> Window object
    (options) ->       <f> Window object
    (options, self) -> <f> Window object
    options <o> Options object
        draggable       <b|true> is window draggable
        fullscreenable  <b|true> fixme: silly name
        height          <n|225>  height
        resizeable      <b|true> resizeable
        scaleable       <b|true> sccaleable
        width           <n|400>  width
    self <o>    Shared private variable
@*/
Ox.Window = function(options, self) {

    self = self || {},
        that = new Ox.Element({}, self)
            .defaults({
                draggable: true,
                fullscreenable: true, // fixme: silly name
                height: 225,
                resizeable: true,
                scaleable: true,
                width: 400
            })
            .options(options || {})

    self.center = function() {
        
    };

    self.drag = function() {
        
    };

    self.fullscreen = function() {
        
    };

    self.setOption = function() {
        
    };

    self.reset = function() {
        
    };

    self.resize = function() {
        
    };

    self.scale = function() {
        
    };

    that.close = function() {
        
    };

    that.open = function() {
        
    };

    return that;

};
